#include<bits\stdc++.h>

using namespace std;

int main()
{
    char c1, c2;
    int a1, a2;
    cin >> c1 >> c2 >> a1 >> a2;
    if (abs(a1 - a2) > 1)
    {
        cout << "nemoguce";
        return 0;
    }
    if(a1 < a2) cout << c2;
    for(int i = 0; i < min(a1, a2); i++) cout << c1 << c2;
    if(a1 > a2) cout << c1;
}